Get team custom roles
curl --request GET \
--url https://app.launchdarkly.com/api/v2/teams/{teamKey}/roles \
--header 'Authorization: <api-key>'import requests
url = "https://app.launchdarkly.com/api/v2/teams/{teamKey}/roles"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.launchdarkly.com/api/v2/teams/{teamKey}/roles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalCount": 1,
"items": [
{
"key": "role-key-123abc",
"name": "Example role",
"projects": {
"totalCount": 1,
"items": [
{
"_links": {
"environments": {
"href": "/api/v2/projects/example-project/environments",
"type": "application/json"
},
"self": {
"href": "/api/v2/projects/example-project",
"type": "application/json"
}
},
"key": "project-key-123abc",
"name": "Example project"
}
]
},
"appliedOn": "1648672018410"
}
],
"_links": {
"self": {
"href": "/api/v2/teams/example-team/roles?limit=25",
"type": "application/json"
}
}
}{
"code": "invalid_request",
"message": "Invalid request body"
}{
"code": "unauthorized",
"message": "Invalid access token"
}{
"code": "forbidden",
"message": "Forbidden. Access to the requested resource was denied."
}{
"code": "not_found",
"message": "Invalid resource identifier"
}{
"code": "method_not_allowed",
"message": "Method not allowed"
}{
"code": "rate_limited",
"message": "You've exceeded the API rate limit. Try again later."
}Get team custom roles
Fetch the custom roles that have been assigned to the team. To learn more, read Managing team permissions.
GET
/
api
/
v2
/
teams
/
{teamKey}
/
roles
Get team custom roles
Authorizations
Path Parameters
The team key
Query Parameters
The number of roles to return in the response. Defaults to 20.
Where to start in the list. This is for use with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit.
Response
Team roles response
The number of custom roles assigned to this team
Example:
1
An array of the custom roles that have been assigned to this team
Show child attributes
Show child attributes
The location and content type of related resources
Show child attributes
Show child attributes
Example:
{
"self": {
"href": "/api/v2/teams/example-team/roles?limit=25",
"type": "application/json"
}
}